aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-31 08:34:21 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-31 08:34:21 +0000
commit3c332a2c4a413682afeea18f3cb4e5a2834efee3 (patch)
treeb03877fccc54fe8cd16a871789e067a2fa34c402 /unmaintained
parentd12410e9ec6b999d29560ebb5dd5423df1b15cb7 (diff)
downloadaports-3c332a2c4a413682afeea18f3cb4e5a2834efee3.tar.gz
aports-3c332a2c4a413682afeea18f3cb4e5a2834efee3.tar.bz2
aports-3c332a2c4a413682afeea18f3cb4e5a2834efee3.tar.xz
testing/esasl: move to unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/esasl/APKBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/unmaintained/esasl/APKBUILD b/unmaintained/esasl/APKBUILD
new file mode 100644
index 0000000000..74ff8678e9
--- /dev/null
+++ b/unmaintained/esasl/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=esasl
+pkgver=0_git20130606
+pkgrel=1
+pkgdesc="Simple SASL library for Erlang"
+url="https://github.com/mikma/esasl/"
+arch="all"
+license="LGPL2+ BSD"
+depends=""
+depends_dev="erlang-dev libgsasl-dev"
+makedepends="$depends_dev autoconf automake"
+install=""
+subpackages=""
+source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-$pkgver.tar.gz"
+giturl="https://github.com/mikma/esasl.git"
+disturl="dev.alpinelinux.org:/archive/$pkgname/"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./bootstrap
+ ./configure --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7991ca8c2002afc42e40201eebb58193 esasl-0_git20130606.tar.gz"
+sha256sums="b5c9dccef065910c4a8de5081aa454e52853ce77480f27f00ef0f3b498062ebf esasl-0_git20130606.tar.gz"
+sha512sums="bc194f84ab346651359c03496361f1953df18eb9a7823ee1cd015f1b6973e686fd9a59bca7fc3d7e3930e1e16728743d77b933c2ea4fabbe1bef1f50e88b4505 esasl-0_git20130606.tar.gz"